=== modified file 'jenkins/jobs/job_templates.yml'
--- jenkins/jobs/job_templates.yml	2014-04-14 13:40:38 +0000
+++ jenkins/jobs/job_templates.yml	2014-04-14 13:52:37 +0000
@@ -41,8 +41,10 @@
 - job-group:
     name: precise-jobs
     release: precise
-    ppa: ppa:maas-maintainers/dailybuilds
     packaging: lp:~maas-maintainers/maas/packaging.precise.sru
+    # By default leave PPA for precise empty as we want to test the package
+    # in the cloud archive.
+    ppa:
     jobs:
         - '{release}-adt-maas-daily'
         - '{release}-adt-maas-manual'

=== modified file 'jenkins/jobs/macros.yml'
--- jenkins/jobs/macros.yml	2014-04-14 13:40:38 +0000
+++ jenkins/jobs/macros.yml	2014-04-14 13:52:37 +0000
@@ -13,7 +13,11 @@
             bzr branch $TESTS_BRANCH packaging/debian/tests
 
             SRC_DIR=file://`pwd`/packaging
-            OPTS="-d -P -p $PPA -S $SRC_DIR"
+            if [ -n "$PPA" ]; then
+                OPTS="-d -P -p $PPA -S $SRC_DIR"
+            else
+                OPTS="-d -P -S $SRC_DIR"
+            fi
             cd $ADT_DIR/bin
             VMCFG=$ADT_DIR/etc/region.cfg ./run-adt-test -a $ARCH -r \
             $RELEASE $OPTS $PACKAGE

=== modified file 'jenkins/jobs/projects.yml'
--- jenkins/jobs/projects.yml	2014-01-16 13:59:49 +0000
+++ jenkins/jobs/projects.yml	2014-04-14 13:52:37 +0000
@@ -3,7 +3,6 @@
     name: maas-qa-lab
     jobs:
         - precise-jobs
-        - saucy-jobs
         - trusty-jobs
         - maas-test
         - maas-test-manual

